Subject: [v6ops] Wordsmithing for ULA-1

From: RJ Atkinson <[email-masked]>
Date: Tue, 21 Dec 2010 08:35:16 -0500

>> On Dec 20, 2010, at 12:09, Tim Chown wrote:
>>> I'm also confused why the MUST for ULA-1 has become a SHOULD between -08 and -09 versions.

I share the confusion, as I erroneously thought the 
conversation about this was still in progress.

> Subsequently, James Woodyatt wrote:
>> ... I won't object so long as the informative text is changed to explain 
>> why even the IPv6 CE routers that have only one LAN interface, 
>> or that do not permit forwarding between multiple LAN interfaces, 
>> MUST also support ULA addressing.

Then, Brian Carpenter responded:
> Because a (best) current practice might emerge in which local devices
> are always addressed using a ULA prefix, and link-local is confined
> to use as a bootstrap prefix during a LAN cold start. If a site with
> a single-interface CPE router chooses to upgrade to a multi-interface
> router, they would not need to change their addressing practice.
> (And they might choose to retain the same ULA prefix by manual config.)
> 
> Needless to say this also requires proper support of prefix delegation.

I find Brian Carpenters explanation (directly above) reasonable.

That said, the quoted comment (2nd above) from James Woodyatt might be 
interpreted as a desire to word-smith the requirement.

Perhaps there is a compromise in the form of a narrow edit (credit
to James & Brian for the idea) to the "ULA-1" requirement that:
	- applied "MUST" to an "IPv6 CE router with multiple LAN routed interfaces", 
	- applied "SHOULD" to other kinds of "IPv6 CE router".

CAVEAT:  I don't think that "LAN" is sufficiently precise just above.  
         For example, there is disagreement whether WiMAX is a "LAN" 
	 because of the way its link-layer has been designed.  If
	 one meant "any form of Ethernet" where "LAN" was written,
	 then maybe s/LAN/Wired or Wireless Ethernet/ might be considered.

Yours,

Ran